TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

LLLGram ( elt-alg^mat F ) -> elt-alg^mat, elt-alg^mat, elt-ord^rat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 3
Check | elt-alg^boo |  |
Method | string |  | "FP" or "FPIntegral" or "Integral"
Delta | elt-rng |  |
InitialDelta | elt-rng |  |
DeltaSteps | elt-ord^rat |  |
FPBlock | elt-ord^rat |  |
StepLimit | elt-ord^rat |  |
TimeLimit | elt-rng |  |
Sort | elt-alg^boo |  |
UseGram | elt-alg^boo |  |
Large | elt-alg^boo |  |
UnderflowCheck | elt-alg^boo |  |
InitialSort | elt-alg^boo |  |

### Description

<shortdoc> A LLL-reduced form of the gram matrix F, together with the corresponding transformation matrix T and the rank of F. </shortdoc>

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack